'use strict'

exports.__esModule = true
exports.default = void 0

var _react = require('react')

const setRef = (ref, value) => {
  if (typeof ref === 'function') {
    ref(value)
  } else if (ref !== null) {
    ref.current = value
  }
}

function useMergedRef() {
  const args = arguments
  return (0, _react.useCallback)(element => {
    if (args.length === 2) {
      setRef(args[0], element)
      setRef(args[1], element)
    } else {
      for (let ref of arguments) setRef(ref, element)
    }
  }, args)
}

var _default = useMergedRef
exports.default = _default
